# Invites ## CreateOrganizationInvite **post** `/gitpod.v1.OrganizationService/CreateOrganizationInvite` Creates an invite link for joining an organization. Any existing OrganizationInvites are invalidated and can no longer be used. Use this method to: - Generate shareable invite links - Manage team growth - Control organization access ### Examples - Create organization invite: Generates a new invite link for the organization. ```yaml organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" ``` ### Body Parameters - `organizationId: string` ### Returns - `invite: OrganizationInvite` - `inviteId: string` invite_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization. ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/CreateOrganizationInvite \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "organizationId": "b0e12f6c-4c67-429d-a4a6-d9838b5da047" }' ``` #### Response ```json { "invite": { "inviteId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } } ``` ## GetOrganizationInviteSummary **post** `/gitpod.v1.OrganizationService/GetOrganizationInviteSummary` Retrieves organization details and membership info based on an invite link. Use this method to: - Preview organization details before joining - Validate invite link authenticity - Check organization size and activity - View team information before accepting ### Examples - Get invite summary: Retrieves organization information from an invite. ```yaml inviteId: "d2c94c27-3b76-4a42-b88c-95a85e392c68" ``` ### Body Parameters - `inviteId: string` ### Returns - `organizationId: string` - `organizationMemberCount: optional number` - `organizationName: optional string` ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetOrganizationInviteSummary \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "inviteId": "d2c94c27-3b76-4a42-b88c-95a85e392c68" }' ``` #### Response ```json { "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "organizationMemberCount": 0, "organizationName": "organizationName" } ``` ## GetOrganizationInvite **post** `/gitpod.v1.OrganizationService/GetOrganizationInvite` GetOrganizationInvite ### Body Parameters - `organizationId: string` ### Returns - `invite: OrganizationInvite` - `inviteId: string` invite_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization. ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/GetOrganizationInvite \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{ "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }' ``` #### Response ```json { "invite": { "inviteId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } } ``` ## Domain Types ### Organization Invite - `OrganizationInvite object { inviteId }` - `inviteId: string` invite_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization. ### Invite Create Response - `InviteCreateResponse object { invite }` - `invite: OrganizationInvite` - `inviteId: string` invite_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization. ### Invite Get Summary Response - `InviteGetSummaryResponse object { organizationId, organizationMemberCount, organizationName }` - `organizationId: string` - `organizationMemberCount: optional number` - `organizationName: optional string` ### Invite Retrieve Response - `InviteRetrieveResponse object { invite }` - `invite: OrganizationInvite` - `inviteId: string` invite_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization.